declare module "tar-stream" {
    interface Headers {
        pax?: {
            comment: string;
            path: string;
        };
    }
}
export declare type TarEntryHeaders = Readonly<import("tar-stream").Headers>;
export declare function headersWithNewName(headers: TarEntryHeaders, newName: string): {
    name: string;
    mode?: number | undefined;
    uid?: number | undefined;
    gid?: number | undefined;
    size?: number | undefined;
    mtime?: Date | undefined;
    linkname?: string | null | undefined;
    type?: "link" | "file" | "symlink" | "character-device" | "block-device" | "directory" | "fifo" | "contiguous-file" | "pax-header" | "pax-global-header" | "gnu-long-link-path" | "gnu-long-path" | null | undefined;
    uname?: string | undefined;
    gname?: string | undefined;
    devmajor?: number | undefined;
    devminor?: number | undefined;
    pax?: {
        comment: string;
        path: string;
    } | undefined;
};
